Subject: Re: Commitfest 2023-03 starting tomorrow!

From: Peter Eisentraut <[email-masked]>
Date: Wed, 22 Mar 2023 10:39:25 +0100

On 21.03.23 10:59, Alvaro Herrera wrote:
> This led me to suggesting that perhaps we need to be more lenient when
> it comes to new contributors.  As I said, for seasoned contributors,
> it's not a problem to keep up with our requirements, however silly they
> are.  But people who spend their evenings a whole week or month trying
> to understand how to patch for one thing that they want, to be received
> by six months of silence followed by a constant influx of "please rebase
> please rebase please rebase", no useful feedback, and termination with
> "eh, you haven't rebased for the 1001th time, your patch has been WoA
> for X days, we're setting it RwF, feel free to return next year" ...
> they are most certainly off-put and will*not*  try again next year.

Personally, if a patch isn't rebased up to the minute doesn't bother me 
at all.  It's easy to check out as of when the email was sent (or extra 
bonus points for using git format-patch --base).  Now, rebasing every 
month or so is nice, but daily rebases during a commit fest are almost 
more distracting than just leaving it.